<?php
include("cp_header.php");/**************************************************صفحة اضافة داعمين للجمعية*******************************************************************/

//ضمان عدم الاضافة مرتين
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

/*  اسم الجدول وبداية الكويرى */  
$table="partners";
$extensionx='' ;
$filex='';


?>


<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
unset($_SESSION['LastRequest']);
echo"<script type='text/javascript'>
window.location.href = '".$_SERVER['PHP_SELF']."';
</script> ";
exit();
}
else{
  $_SESSION['LastRequest'] = $RequestSignature;

}


//فى حالة سبمت الفورم
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  &&  $_POST['submit']=="اضافة") {

//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['title']);


$website=$_POST['website'];
$email=$_POST['email'];
$mobile=$_POST['mobile'];

$created=date('Y-m-d H:i:s');

$comp=$_POST['comp'];
$active;

if(isset($_POST['priority'])){
$priority='1';
}else{
$priority='0';	
}

if(isset($_POST['active'])){
$active='1';
}else{
$active='0';	
}


//مسار رفع الصورة
$src='../img/'.$table.'/';	


//نحديد الرقم المتسلسل التالى
//تنفيذ الاستعلام
$result=mysqli_query($conn,"select max(`sort`)+1 as `sort_num` from $table ");
$fetch =mysqli_fetch_array($result);
$sort_num=1;if(is_numeric($fetch['sort_num'])){$sort_num=$fetch['sort_num'];}
//استدعاء ملف رفع الصور
include("upload_image.php");

$q="INSERT INTO `$table` (`images`,`sort`,`comp`,`priority`,`title`,`website`,`email`,`mobile`, `date`,`active`)
 VALUES ('$img_id',$img_id,$comp,'$priority','$title','$website','$email','$mobile','$date','$active')";


	


//بداية الاستعلام
$query= mysqli_prepare(

			$conn,

			"INSERT INTO `$table`

			( `images`,`sort`,`comp`,`priority`,`title`,`website`,`email`,`mobile`,`active`,`created`,`user_created`) 

			VALUES 

			( ?, ?, ?, ?, ?, ? , ? , ? , ? , ? ,?)");

		

			
			//نهيئة المتغيرات وحمايتها من الحقن
			mysqli_stmt_bind_param($query,'siiissssiss',
			
			 $img_id,$img_id,$comp,$priority,$title,$website,$email,$mobile,$active,$created,$_SESSION[$domain."_user"]

			);


			//تنفيذ الاستعلام وتخزين حالته
			$execute_status=mysqli_stmt_execute($query);
						 
			//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
			if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){

//استدعاء ملف تعديل مقاسات الصور
include('SimpleImage.php');

//استدعاء ملف وضع العلامة المائية على الصور
include('water_mark.php');
	   $image = new SimpleImage();
	   $image->load($src.'img_'.$img_id.'.'.$extension);
	   
		
	   
//تحجيم الصورة
$image->resizeToHeight(150);
	   $image->save($src.'img_'.$img_id.'.jpg');
	   $image->resize(20,20);
	   $image->save($src.'img_'.$img_id.'_tiny.jpg');
   


//وضع العلامة المائية على الصور فى حالة تفعيل الاختيار
if(isset($_POST['water_mark'])){ WaterMark($src.'img_'.$img_id.'.png'); }
   
echo "<div class='true'>تم رفع الوصف</div>";
   
}else{
err:	
echo "<div class='false'>لم يتم رفع الوصف</div>";  
 

		
}
 
   
$_POST['submit']=="اضافة2";
}
error:


?>	
	
	
	
	
<div id="cp_title"> اضافة شركاء النجاح
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>	
	
</div>
<div id="cp_body">
<form id="app_form" enctype="multipart/form-data"  method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<div class="cp_word_body">


<div class="cp_login_row" style='display:none'>
<div class="cp_title"><span style="color:red">*</span>اسم الجمعية</div>
<div class="cp_field">
<select aria-labelledby='lbl-main-menu-mob'  id="main_company_list_internal" alt="1" id="comp" class="required" name="comp" >
<?php
$query_comp="select id,title from companies order by id asc";
$result_comp=mysqli_query($conn,$query_comp);
$first_comp='';

   /*بداية التكرار */  
 while($fetch_comp = mysqli_fetch_array($result_comp)) {
   		 $fetch_comp = clean_array($fetch_comp);
if($first_comp==''){$first_comp=$fetch_comp['id'];}
?>
<option value="<?php echo $fetch_comp['id'] ; ?>"><?php echo $fetch_comp['title'] ;?></option>
<?php	}?>
</select>	

<div class="field_val"></div>	
</div>
</div>
<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title"><span style="color:red">*</span>اسم الجهة</div>
<div class="cp_field">
<input alt="1" id="title" class="<?php  if($_SESSION['lang_ar']==1){echo 'required'; } ?>" name="title" type="text" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row" style="float:right;width:99%;height:110px">
<div class="cp_title">الموقع الالكترونى</div>
<div class="cp_field">
<input alt="1" id="title" class="website <?php  if($_SESSION['lang_ar']==1){echo 'requiredx'; } ?>" name="website" type="url" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row" style="float:right;width:99%;height:110px">
<div class="cp_title">البريد الإلكترونى</div>
<div class="cp_field">
<input alt="1" id="title" class="website <?php  if($_SESSION['lang_ar']==1){echo 'requiredx'; } ?>" name="email" type="email" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row" style="float:right;width:99%;height:110px">
<div class="cp_title">الجوال</div>
<div class="cp_field">
<input alt="1" id="title" class="numeric <?php  if($_SESSION['lang_ar']==1){echo 'requiredx'; } ?>" name="mobile" type="number" />
<div class="field_val "></div>	
</div>
</div>	
<div class="cp_login_row">
<div class="cp_title"><span style="color:red">*</span> الشعار</div>
<div class="cp_fielda">
<div class="wrapper"></div>	
<input num="1" class='browse required' alt="4"  name="image" type="file" accept="image/png" />
<img loading='lazy' id="browse_img1" src="" style="float:left;width:80px;height:40px;border:solid 1px #888;margin-left:50%;background:url(../img/small_loading.gif) no-repeat center center #fff"/>
<div class="field_val no_margin "></div>
</div>
</div>


<div class="cp_login_row"  >
<div class="cp_title">الاولوية</div>
<div class="cp_field">
<input alt="1" id="priority" name="priority" type="checkbox"  />	
</div>
</div>	


<div class="cp_login_row"  >
<div class="cp_title">النشر</div>
<div class="cp_field">
<input alt="1" id="priority" name="active" type="checkbox"   />	
</div>
</div>	

<div class="field_val"></div>
</div>
</div>
<div class="cp_login_row">

<div class="cp_submit"><input id="submit" name="submit" value="اضافة"  title="دخول" type="submit"></div>

</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>
</div>
	
	
<div style="display:none" id="code_generator"></div>
</div>


<?php 
//تحميل الفوتر
include("cp_footer.php");?>